@import url("https://fonts.googleapis.com/css2?family=Lato:wght@400;700&display=swap");

* {
  box-sizing: border-box;
  margin: 0;
  padding: 0;
}

body {
  margin: 0;
  background-color: #fbe0f3;
}

.hero {
  height: 100vh;
  background-image: url("/images/hero-img.png");
  background-size: cover;
  background-position: left center;
  display: flex;
  justify-content: flex-end;
  align-items: center;
  text-align: center;
  padding: 60px;
  color: #fefefe;
}

.hero-content {
  width: 50%;
}

.hero p {
  font-family: "Montserrat", sans-serif;
  font-weight: 800;
  letter-spacing: 2px;
  color: #faf7f5;
}

.hero h1 {
  font-family: "Lato", sans-serif;
  font-size: 50px;
  font-weight: 300;
  line-height: 1.8;
  transform: scaleY(1.8);
}

.hero h1.highlight {
  font-weight: 900;
}

.hero-cta-btns button {
  background: transparent;
  color: #fefefe;
  font-family: "Montserrat", sans-serif;
  font-weight: 700;
  letter-spacing: 2px;
  border: #fefefe solid 2px;
  width: 250px;
  padding: 20px 0;
  margin: 20px 15px;
}

/***********************DIVIDER SECTION ************************************/
.divider {
  height: 13vh;
  width: 100%;
  display: flex;
  justify-content: center;
  align-items: center;
  background: #2a2326;
  color: #da9ec8;
  font-size: 30px;
}

.divider-content span {
  margin: 0 5px;
}

.divider-word1 {
  font-family: "Berkshire Swash", serif;
}

.divider-word2 {
  font-family: "Oswald", sans-serif;
  font-weight: 500;
}

.divider-word3 {
  font-family: "Special Elite", system-ui;
}

.divider-word4 {
  font-family: "Playfair Display SC", serif;
  font-weight: 700;
  font-style: italic;
}

.divider-word5 {
  font-family: "Bodoni Moda SC", serif;
}

.divider-word6 {
  font-family: "Anton", sans-serif;
}

.divider-word7 {
  font-family: "Allan", serif;
}

/******************************** SERVICES ****************************************/

.services {
  padding-block: min(20vh, 2rem);
  width: calc(min(76.5rem, 90%));
  margin-inline: auto;
  color: #947992;
}

.services h2 {
  text-align: center;
  letter-spacing: 0.025em;
  font-size: clamp(3rem, 1.8125rem + 0.75vw, 2.6rem);
  color: #947992;
  margin-bottom: 30px;
}

.services a {
  display: inline-block;
  text-decoration: none;
}

.services .container {
  margin-top: 2em;
  margin-bottom: 1em;
  display: flex;
  flex-wrap: nowrap;
  gap: 2rem;
  overflow-x: auto;
  scroll-behavior: smooth;
  scroll-snap-type: x mandatory;
  scrollbar-width: none;
  -ms-overflow-style: none;
}

.services .container::-webkit-scrollbar {
  display: none;
}

.services .container .card {
  flex: 0 0 16rem;
  scroll-snap-align: start;
}

.services .container .card:nth-child(3n + 1) .box .icon .iconBox {
  background: #cbb8c4;
}

.services .container .card:nth-child(3n + 2) .box .icon .iconBox {
  background: #9a8ca3;
}

.services .container .card:nth-child(3n + 3) .box .icon .iconBox {
  background: #b67a9f;
}

.services .container .card ul {
  margin: 0;
  padding: 0;
  list-style-type: none;
  display: flex;
  align-items: center;
  flex-wrap: wrap;
  gap: 0.625rem;
}

.services .container .card ul li {
  text-transform: uppercase;
  background: var(--clr-tag);
  color: #282828;
  font-weight: 700;
  font-size: 1.5rem;
  padding: 0.375rem 0.625rem;
  border-radius: 0.188rem;
}

.services .container .card ul .branding {
  color: #6b4f6c;
}

.services .container .card ul .packaging {
  color: #2a6f6d;
}

.services .container .card ul .marketing {
  color: #7a2e5a;
}

.services .container .card .content {
  padding: 0.938rem 0.625rem;
}

.services .container .card .content h3 {
  text-transform: capitalize;
  font-size: clamp(1.5rem, 1.3909rem + 0.4364vw, 1.8rem);
}

.services .container .card .content p {
  margin: 0.625rem 0 1.25rem;
  color: #565656;
}

.services .container .card-inner {
  position: relative;
  width: inherit;
  height: 18.75rem;
  background: var(--clr);
  border-radius: 1.25rem;
  border-bottom-right-radius: 0;
  overflow: hidden;
}

.services .container .card-inner .box {
  width: 100%;
  height: 100%;
  background: #f0efeb;
  border-radius: 1.25rem;
  overflow: hidden;
}

.services .container .card-inner .box .imgBox {
  position: absolute;
  inset: 0;
}

.services .container .card-inner .box .imgBox img {
  width: 100%;
  height: 100%;
  object-fit: cover;
}

.services .container .card-inner .box .icon {
  position: absolute;
  bottom: -0.375rem;
  right: -0.375rem;
  width: 6rem;
  height: 6rem;
  background: var(--clr);
  border-top-left-radius: 50%;
}

.services .container .card-inner .box .icon:hover .iconBox {
  transform: scale(1.1);
}

.services .container .card-inner .box .icon::before {
  position: absolute;
  content: "";
  bottom: 0.375rem;
  left: -1.25rem;
  background: transparent;
  width: 1.25rem;
  height: 1.25rem;
  border-bottom-right-radius: 1.25rem;
  box-shadow: 0.313rem 0.313rem 0 0.313rem #f0efeb;
}

.services .container .card-inner .box .icon::after {
  position: absolute;
  content: "";
  top: -1.25rem;
  right: 0.375rem;
  background: transparent;
  width: 1.25rem;
  height: 1.25rem;
  border-bottom-right-radius: 1.25rem;
  box-shadow: 0.313rem 0.313rem 0 0.313rem var(--clr);
}

.services .container .card-inner .box .icon .iconBox {
  position: absolute;
  inset: 0.625rem;
  background: #282828;
  border-radius: 50%;
  display: flex;
  justify-content: center;
  align-items: center;
  transition: 0.3s;
}

.services .container .card-inner .box .icon .iconBox span {
  color: #fff;
  font-size: 1.5rem;
}

.row-title {
  margin-left: 0%;
  margin-bottom: 10px;
}

.row-title h2 {
  text-align: left;
  display: inline-block;
  font-size: 1.2rem;
  margin: 0;
  opacity: 0.9;
  font-weight: 500;
  color: #886e87;
}

.row-title hr {
  display: inline-block;
  width: 5%;
  border: none;
  height: 2px;
  background-color: #886e87;
  vertical-align: middle;
}

/******************************** ABOUT US ****************************************/
.about {
  min-height: 100vh;
  position: relative;
  font-size: 1.2rem;
  font-family: "Montserrat", sans-serif;
  font-weight: 400;
  line-height: 1.2;
}

.about p,
.about-textbox p,
.about ul {
  opacity: 0.9;
}

.about-textbox {
  width: 35%;
  position: absolute;
  top: 10%;
  left: 3%;
  opacity: 0.9;
}

.about-cols-container {
  display: grid;
  grid-template-columns: 1fr 1fr 1fr;
  gap: 0px;
  align-items: center;
  padding: 0 40px;
  background: #f2cfe4;
  color: #2a2326;
}

.about-col {
  display: flex;
  flex-direction: column;
  height: 90%;
}

.about-col img {
  width: 100%;
  display: block;
  object-fit: cover;
}

#about-col1 img {
  height: 60%;
}

#about-col3 img {
  height: 80%;
}

#about-col1 {
  justify-content: flex-end;
  position: relative;
}

#about-col1 h2 {
  font-family: "Bodoni Moda SC", serif;
  position: absolute;
  top: 37%;
  left: 50%;
  transform: translate(-50%, -50%);
  font-size: 8rem;
  font-weight: 400;
  color: #2a2326;
  z-index: 2;
}

#about-col2 {
  justify-content: flex-end;
  position: relative;
  padding: 0 5px;
}

#about-col2 h2 {
  font-family: "Bodoni Moda SC", serif;
  position: absolute;
  top: 28%;
  left: 29%;
  transform: translate(-50%, -50%);
  font-size: 12rem;
  font-weight: 400;
  color: #2a2326;
  z-index: 2;
  padding-right: 0px;

  display: inline-block;
  transform: scale(1.8, 1.2);
}

.p1 {
  padding-top: 10px;
}
#about-col2 ul {
  padding-bottom: 20px;
  padding-left: 40px;
}
#about-col3 {
  justify-content: flex-start;
  align-items: center;
}

.about-btn {
  background: transparent;
  color: #2a2326;
  font-family: "Montserrat", sans-serif;
  font-weight: 700;
  letter-spacing: 2px;
  border: #2a2326 solid 2px;
  padding: 15px 20px;
  margin-top: 70px;
  cursor: pointer;
  width: 60%;
}

/******************************** GALLERY ****************************************/
.gallery {
  display: flex;
  flex-direction: column;
  align-items: center;
  padding: 30px 0;
}

.gallery h2 {
  font-size: 3rem;
  font-weight: 500;
  color: #947992;
}

.gallery p {
  width: 90%;
  margin-top: 5px;
  margin-bottom: 15px;
  font-size: 1.2rem;
  font-weight: 400;
  font-family: "Montserrat", sans-serif;
  text-align: center;
  opacity: 0.8;
}

.gallery-grid {
  display: grid;
  grid-template-columns: repeat(3, 1fr);
  grid-template-rows: repeat(3, 1fr);
  gap: 15px;
  width: 80%;
}

.gallery-grid img {
  width: 100%;
  height: 250px;
  object-fit: cover;
  display: block;
}

.gallery-btn {
  background: transparent;
  color: #4c1e48;
  font-family: "Montserrat", sans-serif;
  font-weight: 700;
  letter-spacing: 2px;
  border: #4c1e48 solid 2px;
  padding: 15px 20px;
  margin-top: 25px;
  cursor: pointer;
}

/******************************** TESTIMONIES ****************************************/
.testimonial {
  background: #2a2326;
  color: #da9ec8;
  display: flex;
  justify-content: center;
  padding: 10px 0;
}

.test-container {
  display: grid;
  grid-template-columns: 1fr 2fr 1fr;

  width: 80%;
  align-content: center;
  justify-content: center;
  align-items: center;
}

.test1,
.test2,
.test3 {
  display: flex;
  flex-direction: column;
  align-items: center;
  text-align: center;
}

.test2 {
  padding: 0 60px;
}

.test1 img,
.test2 img,
.test3 img {
  border-radius: 50%;
  width: 70px;
  height: 70px;
  margin-bottom: 10px;
}

.test2 img {
  border-radius: 50%;
  width: 100px;
  height: 100px;
}

.name {
  margin-top: 10px;
}

/******************************** FAQ section ****************************************/

.faq h2 {
  font-size: 3rem;
  font-weight: 500;
  color: #947992;
  text-align: center;
  margin: 30px 0;
}

.faq-container {
  display: flex;
  gap: 50px;
  width: 80%;
  margin: 0 auto;
}

.faq-content {
  width: 50%;
  display: flex;
  flex-direction: column;
  gap: 15px;
}

.faq-item {
  border: 2.3px solid #947992;
  border-radius: 14px;
}

.faq-question {
  width: 100%;
  text-align: left;
  padding: 15px;
  font-size: 1rem;
  font-weight: 600;
  background: none;
  border: none;
  cursor: pointer;
  color: #886e87;
  transition: color 0.3s ease;
}

.faq-question:hover {
  color: #b67a9f;
}

.faq-answer {
  display: none;
  padding: 0 15px 15px;
  color: #333;
}

.faq-form-container {
  width: 50%;
  display: block;
  margin: 0 auto;
}

.text h3 {
  font-size: 2rem;
}

.text p {
  font-size: 1.1rem;
  opacity: 0.8;
}

.faq-form {
  margin: 10px auto;
  border: 2.3px solid #947992;
  border-radius: 14px;
}

form {
  display: flex;
  flex-direction: column;
  align-items: center;
}

.faq-form input,
.faq-form textarea {
  padding: 9px;
  border: 2.3px solid #947992;
  border-radius: 14px;
  width: 90%;
  max-width: 90%;
  box-sizing: border-box;
}

.faq-form label {
  margin: 8px 0;
  opacity: 0.75;
  font-size: 1rem;
  align-self: flex-start;
  padding-left: 30px;
}

.faq-form textarea {
  min-height: 120px;
}

.faq-form button {
  background-color: #da9ec8;
  color: #2a2326;
  padding: 12px;
  border: 2.3px solid #947992;
  cursor: pointer;
  transition: 0.3s;
  width: 90%;
  margin: 10px 0;
  border-radius: 14px;
  box-sizing: border-box;
}

.faq-form button:hover {
  color: #da9ec8;
  background-color: #2a2326;
  border: 1px solid #da9ec8;
}

.faq-container {
  opacity: 0.75;
}

/******************************** CONTACT SECTION ****************************************/
.contacts {
  display: flex;
  flex-direction: column;
  align-items: center;
  margin: 60px 0;
}

.contacts-main-container {
  display: flex;
  justify-content: space-between;
  gap: 30px;
  width: 80%;
}

.contacts h2 {
  font-size: 7rem;
  line-height: 0.8;
}

.hours-container h2 {
  display: inline-block;
  transform: scaleX(1.5);
}

.hours-1st {
  margin-left: 80px;
}

.hours-2nd {
  color: #947992;
  margin-left: 230px;
}

.contacts-container h2 {
  display: inline-block;
  transform: scaleX(1.5);
  line-height: 0.5;
}

.contacts-1st {
  margin-left: 60px;
}

.contacts-2nd {
  color: #947992;
  margin-left: 360px;
}

.hours-container {
  width: 50%;
}

.day-container {
  display: grid;
  grid-template-columns: 1fr 1fr;
  align-items: center;
  padding: 12px 0;
  border-bottom: 2px solid rgba(9, 5, 9, 0.2);
}

.day-container:last-child {
  border-bottom: none;
}

.day {
  text-align: left;
}

.hours {
  text-align: center;
}

.contacts-container {
  background: #f2cfe4;
  border-radius: 7px;
  width: 50%;
  padding: 20px 60px;
  font-size: 1.3rem;
}

.contact-item {
  display: flex;
  align-items: center;
  gap: 15px;
  padding: 12px 0;
  border-bottom: 2px solid rgba(9, 5, 9, 0.2);
}

.contact-item:last-child {
  border-bottom: none;
  padding: 0;
}

.map-container {
  width: 85%;
  margin-top: 20px;
  border-radius: 20px;
}

.today {
  border-left: 5px solid #5a465a;
  padding-left: 10px;
  border-radius: 6px;
  font-weight: 900;
  color: #5a465a;
  transform: scale(1.02);
  transition: 0.3s ease;
}

/******************************** FOOTER SECTION ****************************************/

footer {
  background-color: #f2cfe4;
  display: flex;
  flex-direction: column;
  align-items: center;
  padding: 20px;
}

footer strong {
  color: #5a465a;
}

.footer-container {
  display: flex;
  justify-content: space-between;
  gap: 100px;
}

.footer-icon svg {
  width: 40px;
  height: 40px;
}

.footer-logo img {
  height: 150px;
  width: 200px;
  padding: 0;
  margin: 0;
}

.footer-icons {
  display: flex;
  justify-content: flex-start;
  gap: 15px;
  padding: 5px;
}

.footer-contact p {
  margin: 10px 0;
  opacity: 0.95;
}

.footer-links ul {
  list-style-type: none;
  margin-top: 10px;
}

.footer-links li {
  margin-bottom: 5px;
}

a:hover {
  color: #5a465a;
  transform: scale(1.1);
  transition: 0.3s;
}

a {
  text-decoration: none;
  color: black;
  opacity: 0.8;
}

.footer-credits {
  font-size: 1rem;
  margin-top: 10px;
  opacity: 0.8;
}

footer hr {
  border: none;
  height: 2px;
  background-color: rgba(0, 0, 0, 0.2);
  width: 80%;
}

.lobster-two-bold-italic {
  font-family: "Lobster Two", sans-serif;
  font-weight: 700;
  font-style: italic;
}

/******************************** CALL-TO-ACTION SECTION ****************************************/
.cta {
  height: 50vh;
  background-image: url("/images/pattern.png");
  background-size: cover;
  color: #da9ec8;
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
}

.cta h3 {
  font-family: "Montserrat", sans-serif;
  font-size: 1rem;
  font-weight: 600;
  letter-spacing: 8px;
}

.cta h2 {
  font-size: 5rem;
  font-weight: 100;
}

.cta .highlighted {
  font-weight: 900;

  color: #e183c5;
}

.cta button {
  background: transparent;
  color: #da9ec8;
  font-family: "Montserrat", sans-serif;
  font-weight: 700;
  letter-spacing: 2px;
  border: #da9ec8 solid 2px;
  padding: 15px 20px;
  margin-top: 5px;
  cursor: pointer;
}

/******************************** MODALS****************************************/
.modal {
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background: rgba(0, 0, 0, 0.6);
  backdrop-filter: blur(5px);
  -webkit-backdrop-filter: blur(5px);
  z-index: 9999;
  display: none; /* important */
  overflow-y: auto;
}

.modal-content {
  background-color: #fbe0f3;
  width: 80%;
  margin: 50px auto;
  padding: 30px;
  border-radius: 10px;
  position: relative;
}

.modal-logo-container {
  margin: 10px 0;
}

.modal img {
  width: 300px;
  height: 250px;
  display: block;
  margin: 0 auto;
}

.modal h1 {
  text-align: center;
  font-family: "Special Elite", system-ui;
  font-size: 4rem;
  font-weight: 500;
  color: #e183c5;
  margin: 30px 0;
}

.modal h2 {
  color: #e183c5;
  text-decoration: underline;
  text-decoration-style: double;
  text-decoration-color: #e183c5;
  text-decoration-thickness: 1.2px;
  text-align: center;
  font-weight: 500;
  font-size: 2rem;
  letter-spacing: 5px;
}

.modal h3 {
  text-align: center;
  font-weight: 200;
  font-size: 1.5rem;
  letter-spacing: 5px;
  margin-top: 10px;
}

.type-contents {
  margin: 5px auto;
  width: 50%;
  font-family: "Montserrat", sans-serif;
  font-size: 15px;
  font-weight: 400;
  letter-spacing: 3px;
}

.type-content {
  display: flex;
  justify-content: space-between;
  align-items: center;
  padding: 5px 0;
  border-bottom: 2px solid rgba(9, 5, 9, 0.2);
}

.price {
  font-weight: 600;
  margin-right: 20px;
}

.type-content:last-child {
  border-bottom: none;
}

.addons-container {
  text-align: center;
}

.addon {
  display: flex;
  justify-content: center;
  gap: 10px;
  font-size: 17px;
}

.addon-price {
  text-decoration: underline;
  text-decoration-thickness: 1px;
}

.modal-extra-info {
  text-align: center;
  font-size: 17px;
  margin: 30px;
}

.modal-btns {
  display: flex;
  justify-content: center;
  gap: 30px;
  margin: 40px 0;
}

.modal button {
  background: transparent;
  color: #e183c5;
  font-family: "Montserrat", sans-serif;
  font-weight: 700;
  letter-spacing: 2px;
  border: #e183c5 solid 2px;
  padding: 15px 20px;
  display: block;
  cursor: pointer;
}
